:root {

    --blue:        #006FCF;
    --dark-blue:   #00175A;
    --hover-blue:  #66a9e2;

    --soft-grey:   #F0F0F0;
    --grey:        #D0D0CE;
    --dark-grey:   #333;

    --soft-shadow: #00000029;
    --dark-shadow: #0000004A;

    --white:       #FFFFFF;
    --black:       #000000;


    --debug:       #FF0000;}

body,html,
.bg-white{
    background: var(--white);
    color:var(--_text-color);

    --_text-color:var(--dark-grey);
    --_link-text-color:var(--blue);
    --_headline-text-color:var(--dark-blue);
    --_button-text-color:var(--white);
    --_button-bg-color:var(--blue);
    --_button-hover-bg-color:var(--hover-blue);
    --_button-secondary-text-color:var(--blue);
    --_button-secondary-bg-color:var(--blue);
    --_button-secondary-hover-bg-color:var(--soft-grey);
}
.bg-blue{
    background: var(--blue);
    color:var(--_text-color);

    --_text-color:var(--white);
    --_link-text-color:var(--white);
    --_headline-text-color:var(--white);
    --_button-text-color:var(--white);
    --_button-bg-color:var(--dark-blue);
    --_button-hover-bg-color:var(--hover-blue);
    --_button-secondary-text-color:var(--white);
    --_button-secondary-bg-color:var(--white);
    --_button-secondary-hover-bg-color:var(--soft-grey);
}
.bg-dark-blue{
    background: var(--dark-blue);
    color:var(--_text-color);

    --_text-color:var(--white);
    --_link-text-color:var(--white);
    --_headline-text-color:var(--white);
    --_button-text-color:var(--white);
    --_button-bg-color:var(--blue);
    --_button-hover-bg-color:var(--hover-blue);
    --_button-secondary-text-color:var(--white);
    --_button-secondary-bg-color:var(--white);
    --_button-secondary-hover-bg-color:var(--soft-grey);
}
.bg-soft-grey{
    background: var(--soft-grey);
    color:var(--_text-color);

    --_text-color:var(--dark-grey);
    --_link-text-color:var(--dark-blue);
    --_headline-text-color:var(--dark-blue);
    --_button-text-color:var(--white);
    --_button-bg-color:var(--dark-blue);
    --_button-hover-bg-color:var(--hover-blue);
    --_button-secondary-text-color:var(--dark-blue);
    --_button-secondary-bg-color:var(--dark-blue);
    --_button-secondary-hover-bg-color:var(--soft-grey);
}

h1,h2,h3,h4,h5{
    color:var(--_headline-text-color);
}

.blue       {color:var(--blue)}
.white      {color:var(--white)}
.grey       {color:var(--grey)}




